cgGetNamedSamplerStateAssignment(3)

NAME
cgGetNamedSamplerStateAssignment - get a sampler state assignment by name

SYNOPSIS
  #include <Cg/cg.h>
  CGstateassignment cgGetNamedSamplerStateAssignment( CGparameter param,
                                                      const char * name );

PARAMETERS

param
    The sampler parameter from which to retrieve the sampler state assignment.

name
    The name of the state assignment to retrieve.

RETURN VALUES
Returns the named sampler state assignment.

Returns NULL if the pass has no sampler state assignment corresponding to name.

DESCRIPTION
The sampler state assignments associated with a sampler parameter, as specified with a sampler_state block in an effect file, can be retrieved directly by name using cgGetNamedSamplerStateAssignment. The names of the sampler state assignments can be discovered by iterating through the sampler's state assignments (see the cgGetFirstSamplerStateAssignment manpage and the cgGetNextSamplerStateAssignment manpage), calling the cgGetSamplerStateAssignmentName manpage for each one in turn.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetNamedSamplerStateAssignment was introduced in Cg 1.4.

SEE ALSO
the cgIsSamplerStateAssignment manpage, the cgGetFirstSamplerStateAssignment manpage, the cgGetNextSamplerStateAssignment manpage, the cgGetSamplerStateAssignmentName manpage